SDXFrameWork 0.09 SDXFrameWork

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Pages
Public Member Functions | List of all members
SDX::IFont Class Referenceabstract

Font,BmpFont等のインターフェース. More...

`#include <IFont.h>`

Inherited by SDX::BmpFont, SDX::Font, and SDX::HashFont.

## Public Member Functions
virtual bool | Draw (const Point &座標, Color 色, VariadicStream 描画する文字列) const =0
| 文字を描画. More...
virtual bool | DrawRotate (const Point &座標, double 拡大率, double 角度, Color 描画色, bool 反転フラグ, VariadicStream 描画する文字列) const =0
| 文字を回転して描画. More...
virtual bool | DrawExtend (const Point &座標, double X軸拡大率, double Y軸拡大率, Color 色, VariadicStream 描画する文字列) const =0
| 拡大率を指定して文字を描画. More...

## Detailed Description

Font,BmpFont等のインターフェース.

//©SDXFramework http://sourceforge.jp/projects/dxframework/
//🍣フォントを使って文字列を描画する
bool SampleFont()
{
using namespace SDX;
System::Initialise("sample", 600, 400);
//SDLとDXLIBでフォント指定方法が違うので注意が必要
Font fontA( SystemFont::Gothic , 20 , 1 , 10 );
Font fontB( SystemFont::Mincho , 20 , 1 , 10 );
double angle = 0;
while(System::Update())
{
angle += 0.02;
fontA.Draw({ 10 * angle, 10 }, Color::White, "Hello!\nこんにちは\n今日は");
fontB.Draw({ 10 * angle, 200 }, Color::Blue, "Hello!\nこんにちは\n今日は");
fontA.DrawRotate({ 300, 200 }, 1, angle, Color::White, false, "文字の回転\nてすとしますよ~~~");
fontB.DrawRotate({ 300, 200 }, 1, angle / 2, Color::White, false, "文字の回転\nてすとしますよ~~~");
if(Input::key.Return.on) break;//Enterで終了
}
System::End();
return true;
}

## Member Function Documentation

virtual bool SDX::IFont::Draw | ( | const Point & | 座標,
|  | Color | 色,
|  | VariadicStream | 描画する文字列
| ) |  | const
| pure virtual

文字を描画.

Implemented in SDX::HashFont, SDX::Font, and SDX::BmpFont.

virtual bool SDX::IFont::DrawRotate | ( | const Point & | 座標,
|  | double | 拡大率,
|  | double | 角度,
|  | Color | 描画色,
|  | bool | 反転フラグ,
|  | VariadicStream | 描画する文字列
| ) |  | const
| pure virtual

文字を回転して描画.

Implemented in SDX::BmpFont, SDX::HashFont, and SDX::Font.

virtual bool SDX::IFont::DrawExtend | ( | const Point & | 座標,
|  | double | X軸拡大率,
|  | double | Y軸拡大率,
|  | Color | 色,
|  | VariadicStream | 描画する文字列
| ) |  | const
| pure virtual

拡大率を指定して文字を描画.

Implemented in SDX::BmpFont, SDX::HashFont, and SDX::Font.